//Microsoft Visual C++ 生成的资源脚本。
//
#include "resource.h"

#define APSTUDIO_READONLY_SYMBOLS
/////////////////////////////////////////////////////////////////////////////
//
// 从 TEXTINCLUDE 资源生成。
//
#ifndef APSTUDIO_INVOKED
#include "targetver.h"
#endif
#define APSTUDIO_HIDDEN_SYMBOLS
#include "windows.h"
#undef APSTUDIO_HIDDEN_SYMBOLS
/////////////////////////////////////////////////////////////////////////////
#undef APSTUDIO_READONLY_SYMBOLS

#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_CHS)
LANGUAGE 4, 2

/////////////////////////////////////////////////////////////////////////////
//
// 图标
//

// ID 值最低的图标放在最前面，以确保应用程序图标
// 在所有系统中保持一致。

IDI_YCIDE       ICON         "ycIDE.ico"
IDI_SMALL               ICON         "small.ico"

/////////////////////////////////////////////////////////////////////////////
//
// 版本信息
//

VS_VERSION_INFO VERSIONINFO
 FILEVERSION 0,0,0,23
 PRODUCTVERSION 0,0,0,23
 FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
 FILEFLAGS 0x1L
#else
 FILEFLAGS 0x0L
#endif
 FILEOS 0x40004L
 FILETYPE 0x1L
 FILESUBTYPE 0x0L
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "000004b0"
        BEGIN
            VALUE "CompanyName", "易承语言"
            VALUE "FileDescription", "易承语言集成开发环境"
            VALUE "FileVersion", "0.0.0.23"
            VALUE "InternalName", "ycIDE.exe"
            VALUE "LegalCopyright", "Copyright (C) 2025-2026"
            VALUE "OriginalFilename", "ycIDE.exe"
            VALUE "ProductName", "ycIDE"
            VALUE "ProductVersion", "0.0.0.23"
        END
    END
    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x0, 1200
    END
END

/////////////////////////////////////////////////////////////////////////////
//
// 菜单
//

IDC_YCIDE MENU
BEGIN
    POPUP "文件(&F)"
    BEGIN
        MENUITEM "新建项目...\tCtrl+Shift+N", IDM_NEW_PROJECT
        MENUITEM "打开项目...\tCtrl+Shift+O", IDM_OPEN_PROJECT
        MENUITEM "关闭项目",                IDM_CLOSE_PROJECT
        MENUITEM SEPARATOR
        MENUITEM "添加文件到项目...",        IDM_ADD_FILE_TO_PROJECT
        MENUITEM SEPARATOR
        MENUITEM "新建文件(&N)\tCtrl+N",    IDM_NEW
        MENUITEM "打开文件(&O)...\tCtrl+O", IDM_OPEN
        MENUITEM "打开文件夹(&F)...",       IDM_OPEN_FOLDER
        MENUITEM "关闭文件夹",              IDM_CLOSE_FOLDER
        MENUITEM SEPARATOR
        MENUITEM "保存(&S)\tCtrl+S",        IDM_SAVE
        MENUITEM "另存为(&A)...\tCtrl+Shift+S", IDM_SAVE_AS
        MENUITEM SEPARATOR
        MENUITEM "退出(&X)",                IDM_EXIT
    END
    POPUP "帮助(&H)"
    BEGIN
        MENUITEM "关于(&A) ...",           IDM_ABOUT
    END
END


/////////////////////////////////////////////////////////////////////////////
//
// 快捷键
//

IDC_YCIDE ACCELERATORS
BEGIN
    "?",            IDM_ABOUT,              ASCII,  ALT
    "/",            IDM_ABOUT,              ASCII,  ALT
    "N",            IDM_NEW,                VIRTKEY, CONTROL
    "O",            IDM_OPEN,               VIRTKEY, CONTROL
    "S",            IDM_SAVE,               VIRTKEY, CONTROL
    "S",            IDM_SAVE_AS,            VIRTKEY, CONTROL, SHIFT
END


/////////////////////////////////////////////////////////////////////////////
//
// 对话框
//

IDD_ABOUTBOX DIALOGEX 0, 0, 170, 62
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "关于 ycIDE"
FONT 9, "MS Shell Dlg"
BEGIN
    ICON            IDI_YCIDE,IDC_STATIC,14,14,21,20
    LTEXT           "ycIDE, 版本 1.0",IDC_STATIC,42,14,114,8,SS_NOPREFIX
    LTEXT           "版权所有(c) 2025",IDC_STATIC,42,26,114,8
    DEFPUSHBUTTON   "确定",IDOK,113,41,50,14,WS_GROUP
END

/////////////////////////////////////////////////////////////////////////////
//
// DESIGNINFO
//

#ifdef APSTUDIO_INVOKED
GUIDELINES DESIGNINFO
BEGIN
    IDD_ABOUTBOX, DIALOG
    BEGIN
        LEFTMARGIN, 7
        RIGHTMARGIN, 163
        TOPMARGIN, 7
        BOTTOMMARGIN, 55
    END
END
#endif    // APSTUDIO_INVOKED

#ifdef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// TEXTINCLUDE
//
1 TEXTINCLUDE
BEGIN
    "resource.h\0"
END

2 TEXTINCLUDE
BEGIN
    "#ifndef APSTUDIO_INVOKED\r\n"
    "#include ""targetver.h""\r\n"
    "#endif\r\n"
    "#define APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "#include ""windows.h""\r\n"
    "#undef APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "\0"
END

3 TEXTINCLUDE
BEGIN
    "\r\n"
    "\0"
END

#endif    // APSTUDIO_INVOKED

/////////////////////////////////////////////////////////////////////////////
//
// 字符串表
//

STRINGTABLE
BEGIN
   IDC_YCIDE   "YCIDE"
   IDS_APP_TITLE       "ycIDE"
END

#endif
/////////////////////////////////////////////////////////////////////////////



#ifndef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// 从 TEXTINCLUDE 资源生成。
//

/////////////////////////////////////////////////////////////////////////////
#endif    // not APSTUDIO_INVOKED
